from __future__ import annotations
import path_setup  # noqa: F401

from shared.infrastructure.factory import create_base_app

from bp import register_actions, register_data
from services import register_domain_services


def create_app() -> "Quart":
    app = create_base_app(
        "likes",
        domain_services_fn=register_domain_services,
    )

    app.register_blueprint(register_actions())
    app.register_blueprint(register_data())

    return app


app = create_app()
